
Name:           snapcast
Version:        0.15.0
Release:        1%{?dist}
Summary:        Synchronous multi-room audio player

License:        GPLv3
URL:            https://github.com/badaix/snapcast
Source0:        https://github.com/badaix/snapcast/archive/v%{version}/snapcast-%{version}.tar.gz
Source1:        https://github.com/badaix/aixlog/archive/v1.2.1/aixlog-1.2.1.tar.gz
Source2:        https://github.com/badaix/popl/archive/v1.2.0/popl-1.2.0.tar.gz
Source3:        snapclient.service
Source4:        snapserver.service
Source5:        snapclient.sysconfig
Source6:        snapserver.sysconfig

Patch1:         snapcast-remove-static.patch

BuildRequires:  gcc-c++
BuildRequires:  alsa-lib-devel
BuildRequires:  asio-devel
BuildRequires:  avahi-devel
BuildRequires:  flac-devel
BuildRequires:  libatomic
#BuildRequires:  libstdc++-static
BuildRequires:  libvorbis-devel


%description
Snapcast is a multi-room client-server audio player, where all clients are
time synchronized with the server to play perfectly synced audio. It's not
a standalone player, but an extension that turns your existing audio player
into a multi-room solution.


%package client
Summary:        Snapcast multi-room audio client

%description client
Snapcast is a multi-room client-server audio player, where all clients are
time synchronized with the server to play perfectly synced audio. It's not
a standalone player, but an extension that turns your existing audio player
into a multi-room solution.  This package contains the snapcast client.


%package server
Summary:        Snapcast multi-room audio server

%description server
Snapcast is a multi-room client-server audio player, where all clients are
time synchronized with the server to play perfectly synced audio. It's not
a standalone player, but an extension that turns your existing audio player
into a multi-room solution.  This package contains the snapcast server.


%global debug_package %{nil}


%prep
%setup -q
%setup -q -b 1
%setup -q -b 2
%patch1 -p1
rm -rf externals
mkdir externals
cd externals
ln -s ../../aixlog-1.2.1 aixlog
ln -s ../../popl-1.2.0 popl
cd ..


%build
%make_build STRIP=echo


%install
rm -rf %{buildroot}

install -D client/snapclient %{buildroot}/%{_sbindir}/snapclient
install -D server/snapserver %{buildroot}/%{_sbindir}/snapserver

install -D %{SOURCE3} %{buildroot}/%{_unitdir}/snapclient.service
install -D %{SOURCE4} %{buildroot}/%{_unitdir}/snapserver.service

install -D %{SOURCE5} %{buildroot}/%{_sysconfdir}/sysconfig/snapclient
install -D %{SOURCE6} %{buildroot}/%{_sysconfdir}/sysconfig/snapserver

install -D client/snapclient.1 %{buildroot}/%{_mandir}/man1/snapclient.1
install -D server/snapserver.1 %{buildroot}/%{_mandir}/man1/snapserver.1


%files
%doc README.md
%license LICENSE

%files client
%defattr(-,root,root,-)
%{_sbindir}/snapclient
%{_unitdir}/snapclient.service
%{_sysconfdir}/sysconfig/snapclient
%{_mandir}/man1/snapclient.1.gz

%files server
%defattr(-,root,root,-)
%{_sbindir}/snapserver
%{_unitdir}/snapserver.service
%{_sysconfdir}/sysconfig/snapserver
%{_mandir}/man1/snapserver.1.gz

